import { request } from "./request.js";
import { reservations_response } from "./reservations_response.js";

export class product_reservations_request extends request {
    #target;

    constructor(target) {
        super();

        this.#target = target;
    }

    get _response() {
        return reservations_response;
    }

    get data() {
        return {
            "apikey": this._apikey
        };
    }

    get method() {
        return "POST";
    }

    get url() {
        return "/reservations/product/barcode/" + this.#target.barcode;
    }
}